package com.duiba.tuia.youtui.web.model;

import java.io.Serializable;
import java.util.Map;

public class AdvertVO implements Serializable {
    private Long id;
    private String url;
    private String dpmC;
    private String dpmD;
    private Map<String, String> embedInfo;

    public AdvertVO() {
    }
    public AdvertVO(Long id) {
        this.id = id;
    }

    public AdvertVO(Long id, String url,Map<String, String> embedInfo) {
        this.id = id;
        this.url = url;
        this.embedInfo = embedInfo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getDpmC() {
        return dpmC;
    }

    public void setDpmC(String dpmC) {
        this.dpmC = dpmC;
    }

    public String getDpmD() {
        return dpmD;
    }

    public void setDpmD(String dpmD) {
        this.dpmD = dpmD;
    }

    public Map<String, String> getEmbedInfo() {
        return embedInfo;
    }

    public void setEmbedInfo(Map<String, String> embedInfo) {
        this.embedInfo = embedInfo;
    }
}
